> ## Documentation Index
> Fetch the complete documentation index at: https://doc.waytoapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Music WAV



## OpenAPI

````yaml POST /suno/music/wav
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.waytoapi.com/apidoc/collect/ai
    description: Generated server url
security:
  - ApiKeyAuth: []
paths:
  /suno/music/wav:
    post:
      tags:
        - mountsea-controller
      operationId: sunoMusicWAV
      parameters:
        - name: aiKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SunoMusicWAVReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CallResultSoraVideoGenerateRes'
components:
  schemas:
    SunoMusicWAVReq:
      type: object
      properties:
        clip_id:
          type: string
    CallResultSoraVideoGenerateRes:
      type: object
      properties:
        code:
          type: integer
          format: int32
        info:
          type: string
        result:
          $ref: '#/components/schemas/SoraVideoGenerateRes'
        success:
          type: boolean
        failure:
          type: boolean
    SoraVideoGenerateRes:
      type: object
      properties:
        taskCode:
          type: string

````